﻿using MindFusion.Drawing;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace StressTest
{
	// Learn more about making custom code visible in the Xamarin.Forms previewer
	// by visiting https://aka.ms/xamarinforms-previewer
	[DesignTimeVisible(false)]
	public partial class MainPage : ContentPage
	{
		public MainPage()
		{
			InitializeComponent();

            lineChart.BackgroundColor = Colors.White;
            //lineChart.LineType = LineType.Curve;

            // set MinValue and MaxValue of axes explicitly, or otherwise
            // the chart will loop over all data to set them automatically
            lineChart.XAxis.MinValue = 0;
            lineChart.XAxis.MaxValue = 50;
            lineChart.XAxis.Title = "X Axis";
            lineChart.YAxis.MinValue = -50;
            lineChart.YAxis.MaxValue = 150;
            lineChart.YAxis.Title = "Y Axis";

            // Generator.IsSorted returns true for X axis, so the chart uses O(log(n)) search algorithms
            lineChart.Series.Add(new Generator(500000, 1000000, 100) { Title = "Generated series 1" });
            lineChart.Series.Add(new Generator(250000, 20000, 50) { Title = "Generated series 2" });

            // customize appearance
            lineChart.ShowLegend = true;
            lineChart.AllowMoveLegend = false;
            lineChart.LegendTitle = "";
            lineChart.LegendHorizontalAlignment = MindFusion.Charting.Components.LayoutAlignment.Far;
            lineChart.LegendVerticalAlignment = MindFusion.Charting.Components.LayoutAlignment.Near;
            lineChart.Theme.LegendBackground = new SolidBrush(Color.FromRgb(250, 250, 250));

            lineChart.Theme.GridColor1 = Color.FromRgb(245, 245, 245);
            lineChart.Theme.GridColor2 = Colors.White;
            lineChart.Theme.GridLineColor = Color.FromRgb(150, 150, 150);
            lineChart.GridType = MindFusion.Charting.GridType.Horizontal;

            lineChart.Theme.AxisLabelsBrush = new SolidBrush(Color.FromRgb(100, 100, 100));
            lineChart.Theme.AxisTitleBrush = new SolidBrush(Color.FromRgb(100, 100, 100));
            lineChart.Theme.AxisStroke = new SolidBrush(Color.FromRgb(100, 100, 100));           
            lineChart.Theme.AxisLabelsFontSize = 12;
            lineChart.Theme.AxisTitleFontSize = 14;       
            lineChart.Theme.LegendBorderStroke = new SolidBrush(Color.FromRgb(100, 100, 100));
            lineChart.Theme.LegendTitleBrush = new SolidBrush(Color.FromRgb(100, 100, 100));

            lineChart.Theme.CommonSeriesStrokes = lineChart.Theme.CommonSeriesFills =
                new List<Brush>
                {
                    new SolidBrush(Color.FromRgb(0, 52, 102)),
                    new SolidBrush(Color.FromRgb(206, 0, 0))
                };
        }
    }
}